<template>
  <div class='app_button'>
    <button class="btn btn-outline-success" @click="toggleModal">Add meal to order</button>
    <modal :modal-id="modalId">
      <h4 style='margin-bottom: 60px; margin-top: 0px;'>
        Add meal to order:
      </h4>
      <p>
        <label>  Name:  </label>
        <input id='meal_name' class='form-control' v-model='name'></input>
      </p>
      <p>
        <label>  Price:  </label>
        <input id='meal_price' class='form-control' v-model='price'></input>
      </p>
      <p>
      <button class='btn btn-outline-secondary' @click="toggleModal"> Back </button>
      <button class="btn btn-outline-success" @click='addMeal'> Add meal </button>
      </p>
    </modal>
  </div>
</template>

<script>
export default {
    data () {
      return {
        message: '',
        name: '',
        price: '',
        modalId: `addMealButton-${this.order.id}`
      }
    },
    props: ['order'],
    methods: {
      toggleModal() {
        this.$root.$emit(`toggleModal-${this.modalId}`)
      },
      addMeal() {
        this.$http.post(`api/v1/meals`, { meal: {name: this.name, price: this.price, order_id: this.order.id }}).then((response) => {
          this.$store.dispatch('addMeal', { meal: response.data.meal } )
        }).catch((error) => {
          this.$root.$emit(`displayError`, (error.response.data.message))
        })
        this.toggleModal()
      },
    }
  }
</script>
